﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Observable
{
	/// <summary>
	/// オブザーバーのインターフェース。ドメインクラスの変更を受けて振る舞います。
	/// </summary>
	public interface IObserver
	{
		/// <summary>
		/// ドメインクラスの変更を受けて振る舞います。
		/// </summary>
		/// <param name="subject">ドメインクラスのインスタンス</param>
		void NotifyUpdate(ISubject subject);
	}
}
