﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Observable
{
    /// <summary>
	/// ドメインクラスのインターフェース。オブザーバーを受け入れます。
    /// </summary>
    public interface ISubject
    {
        /// <summary>
		/// オブザーバーをドメインクラスへ登録し、変更の通知を受け取れるようにします。
        /// </summary>
        /// <param name="observer">サブジェクトに登録するオブザーバーのインスタンス</param>
        void RegisterInterest(IObserver observer);
    }
}
